> For the complete documentation index, see [llms.txt](https://docs.os.uk/os-downloads/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-5/os-terrain-5-technical-specification/gml-feature-types.md).

# GML Feature types

The feature types within the contours enable their representation as individual features to allow for easier interpretation; for example, the contours can be drawn as different colours to highlight the index contours, the high-water mark, and spot heights over a certain value. The contours and tidelines have been rounded to two decimal places.

The column names have been reformatted to facilitate compliance with Esri software.

## **Contour line feature type**

| Column name      | Type           | Description                  |
| ---------------- | -------------- | ---------------------------- |
| +geometry        | GM\_LineString | The structure of the feature |
| +propertyValue   | Distance       | The length of the contour    |
| +contourLineType | String         | master ordinary auxiliary    |

{% hint style="info" %}
*The ContourLine sub-type value names align with INSPIRE draft elevation specification. The terms 'master' and 'ordinary' represent the more traditionally recognised terms index and standard (contours) respectively.*
{% endhint %}

## **SpotHeight feature type**

| Column name     | Type      | Description                                                                      |
| --------------- | --------- | -------------------------------------------------------------------------------- |
| +geometry       | GM\_Point | The structure of the feature.                                                    |
| +propertyValue  | Distance  | The z value (height above Newlyn, or other British height datum) of the feature. |
| +spotHeightType | String    | <p>formSpot generic mountainPass</p><p>summit</p>                                |

{% hint style="info" %}
*At launch only the sub-type value 'generic' has been used but the other values provide functionality to enrich the attribution if required in a later product release.*
{% endhint %}

## **LandWaterBoundary feature type**

| Column name    | Type           | Description                      |
| -------------- | -------------- | -------------------------------- |
| +geometry      | GM\_LineString | The structure of the feature.    |
| +propertyValue | Distance       | The length of the boundary line. |

| Column name         | Type   | Description                                                                      |
| ------------------- | ------ | -------------------------------------------------------------------------------- |
| +waterLevelCategory | String | <p>meanHighWater meanLowWater meanHighWaterSprings</p><p>meanLowWaterSprings</p> |

{% hint style="info" %}
*At launch only the sub-type value 'generic' has been used but the other values provide functionality to enrich the attribution if required in a later product release.*
{% endhint %}

### **Example of the ContourLine feature type**

```xml
<os:member>
<os:ContourLine gml:id="os.t5.sx98se.175">
<os:geometry>
<gml:LineString srsName="urn:ogc:def:crs:EPSG::27700" gml:id="os.t5.sx98se.175.geom">
<gml:posList>295487.08 80000 295481.21 80001.48 295480.55 80001.23
295481.75 80000</gml:posList>
</gml:LineString>
</os:geometry>
<os:propertyValue uom="m">15</os:propertyValue>
<os:contourLineType>ordinary</os:contourLineType>
</os:ContourLine>
</os:member>
SpotHeight feature type
<os:member
<os:SpotHeight gml:id="os.t5.sx98se.0">
<os:geometry>
<gml:Point srsName="urn:ogc:def:crs:EPSG::27700" gml:id="os.t5.sx98se.0.geom">
<gml:pos>299161.48 84990.56</gml:pos>
</gml:Point>
</os:geometry>
<os:propertyValue uom="m">31.9</os:propertyValue>
<os:spotHeightType>generic</os:spotHeightType>
</os:SpotHeight>
</os:member>
Example of the LandWaterBoundary feature types
<os:member>
<os:LandWaterBoundary gml:id="os.t5.sx98se.17">
<os:geometry>
<gml:LineString srsName="urn:ogc:def:crs:EPSG::27700" gml:id="os.t5.sx98se.17.geom">
<gml:posList>297786.59 81469.64 297783.26 81469.75 297783.26
81466.75 297786.59 81469.64</gml:posList>
</gml:LineString>
</os:geometry>
<os:propertyValue uom="m">1.62</os:propertyValue>
<os:waterLevelCategory>meanHighWater</os:waterLevelCategory>
</os:LandWaterBoundary>
</os:member>
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.os.uk/os-downloads/products/land-and-terrain-portfolio/os-terrain-5/os-terrain-5-technical-specification/gml-feature-types.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
